Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040750
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2019-05-02 16:162019-05-09 11:19
ReportershuehnerView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revisionc61f84925352
ProjectionnoneETAnoneTarget Version3.0PR19Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toshuehner
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040750: Raise minimum supported Oracle database version from 11.1 to 11.2

DescriptionCurrently Openbravo support oracle 11.1 as oldest oracle version.

In some places in the code there is specific code to handle 11.1 differently compared to more modern oracle versions. Recently some bug came up specifically in that code raising the 'what to support question'

Oracle themselves marked 11.1 as end of live already in 2015:
https://www.oracle.com/us/assets/lifetime-support-technology-069183.pdf [^]

Checking Openbravo heartbeat statistics shows only a single installation using 11.1 (and owner is informed to upgrade)

Note that Oracle 11.2 stays as supported version for now as it is still much more widely used
Steps To Reproduce-
Proposed SolutionRaise minimum supported oracle version to 11.2 both in documentation and in the product (buildvalidation: DatabaseVersionCheck.java)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0040809 acknowledgedplatform Openbravo ERP allow buildvalidations to be executed during install.source 
depends on backport 00407513.0PR19Q2 closedalostale Openbravo ERP Raise minimum supported Oracle database version from 11.1 to 11.2 
blocks feature request 00407523.0PR19Q4 closeddmiguelez Openbravo ERP Simplify oracle version specific code after no longer supporting Oracle 11.1 
blocks feature request 0040753 newRetail Retail Modules Simplify oracle version specific code after no longer supporting Oracle 11.1 

-  Notes
(0111439)
shuehner (administrator)
2019-05-02 16:17

Create backport for 19Q2 as agreement to do this raise of min-version already in Q2 release.
(0111447)
shuehner (administrator)
2019-05-02 18:08

for context:
Recent bug found in is11R2orNewer:
https://code.openbravo.com/erp/pmods/org.openbravo.retail.orderpreparation/rev/1ae05702936e [^]
(0111567)
hgbot (developer)
2019-05-08 12:27

Repository: erp/devel/pi
Changeset: c61f84925352a306472da8b9d7cae7d55427a4f1
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed May 08 11:09:42 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c61f84925352a306472da8b9d7cae7d55427a4f1 [^]

fixes 40750: raised minimum supported Oracle database version from 11.1 to 11.2

---
M src-util/buildvalidation/build/classes/org/openbravo/buildvalidation/DatabaseVersionCheck.class
M src-util/buildvalidation/src/org/openbravo/buildvalidation/DatabaseVersionCheck.java
M src-util/diagnostic/config/diagnostics.properties
---
(0111590)
shuehner (administrator)
2019-05-09 11:19

Code changes reviewed and fine.
Tested:
- on local oracle 11.2.0.1.0
- ant buildvalidation -> passes fine
- ant diagnostic -> pass check.db part fine
Indirectly in ci:
- int-checks-oracle
- runs with oracle 12.1 and passes fine.

Running tests indirectly also ensures compiled.class file matches sources changes.

- Issue History
Date Modified Username Field Change
2019-05-02 16:16 shuehner New Issue
2019-05-02 16:16 shuehner Assigned To => platform
2019-05-02 16:16 shuehner Modules => Core
2019-05-02 16:16 shuehner Triggers an Emergency Pack => No
2019-05-02 16:17 shuehner Status new => scheduled
2019-05-02 16:17 shuehner Note Added: 0111439
2019-05-02 16:25 shuehner Relationship added blocks 0040752
2019-05-02 16:27 shuehner Relationship added blocks 0040753
2019-05-02 18:08 shuehner Note Added: 0111447
2019-05-08 12:27 hgbot Checkin
2019-05-08 12:27 hgbot Note Added: 0111567
2019-05-08 12:27 hgbot Status scheduled => resolved
2019-05-08 12:27 hgbot Resolution open => fixed
2019-05-08 12:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/c61f84925352a306472da8b9d7cae7d55427a4f1 [^]
2019-05-08 12:27 alostale Assigned To platform => alostale
2019-05-08 12:28 alostale Review Assigned To => shuehner
2019-05-08 12:40 alostale Relationship added related to 0040809
2019-05-09 11:19 shuehner Note Added: 0111590
2019-05-09 11:19 shuehner Status resolved => closed
2019-05-09 11:19 shuehner Fixed in Version => 3.0PR19Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker